# Get Token Info

## GET /krc20/token/{tick}

> Get the token's detailed information including statistics

```json
{"openapi":"3.0.0","info":{"title":"Kasplex KRC-20 API Documentation","version":"1.0.0"},"tags":[{"name":"Get-Token-Info"}],"servers":[{"url":"https://tn10api.kasplex.org/v1","description":"Kasplex KRC-20 TN10 Testnet"},{"url":"https://api.kasplex.org/v1","description":"Kasplex KRC-20 Mainnet"}],"paths":{"/krc20/token/{tick}":{"get":{"tags":["Get-Token-Info"],"description":"Get the token's detailed information including statistics","parameters":[{"name":"tick","schema":{"type":"string"},"in":"path","required":true,"description":"Ticker or contract address of the token (case-insensitive)"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenDetails"}}}}}}}},"components":{"schemas":{"TokenDetails":{"type":"object","properties":{"message":{"type":"string"},"result":{"type":"array","items":{"$ref":"#/components/schemas/TokenDetailsWithHolders"}}}},"TokenDetailsWithHolders":{"type":"object","description":"Token list, only one item or empty","properties":{"tick":{"type":"string","description":"Token ticker in \"deploy-mint\" mode"},"ca":{"type":"string","description":"Token contract address in \"deploy-issue\" mode"},"name":{"type":"string","description":"Token name in \"deploy-issue\" mode"},"max":{"type":"string","description":"Maximum supply amount (with decimals)"},"lim":{"type":"string","description":"Mint limit per operation (with decimals)"},"pre":{"type":"string","description":"The number of tokens pre allocated to a particular address after deployment."},"to":{"type":"string","description":"Owner Address of the token"},"dec":{"type":"string","description":"Number of decimal places (0-18)"},"mod":{"type":"string","description":"Deployment mode of the token"},"minted":{"type":"string","description":"Total amount minted or issued (with decimals)"},"burned":{"type":"string","description":"Total amount burned (with decimals)"},"opScoreAdd":{"type":"string","description":"OP score when created"},"opScoreMod":{"type":"string","description":"OP score of latest modification"},"state":{"type":"string","description":"Status: deployed(can be minted), finished(fully minted), unused(can be deployed), ignored(can not be deployed), reserved(can be deployed by a specific address)"},"hashRev":{"type":"string","description":"Deployment transaction ID"},"mtsAdd":{"type":"string","description":"Timestamp at deployment"},"holderTotal":{"type":"string","description":"Number of addresses holding the Token"},"transferTotal":{"type":"string","description":"Number of transfer operations relating to this Token"},"mintTotal":{"type":"string","description":"Number of mint operations relating to this Token"},"opCount":{"type":"array","description":"The number of each operation of this token","items":{"type":"string"}},"feeTotal":{"type":"string","description":"Additional gas fee generated by this token (with decimals)"},"maxSupply":{"type":"string","description":"Maximum supply excluding total burned amount (with decimals)"},"totalSupply":{"type":"string","description":"Total minted amount excluding total burned amount (with decimals)"},"totalBurned":{"type":"string","description":"Total burned amount including black-hole balance (with decimals)"},"holder":{"type":"array","items":{"$ref":"#/components/schemas/TokenHolder"}}}},"TokenHolder":{"type":"object","properties":{"address":{"type":"string","description":"Holder address"},"amount":{"type":"string","description":"Amount including token balance and locked amount (with decimals)"}}}}}}
```
